View Issue Details

IDProjectCategoryView StatusLast Update
0003539Ham Radio DeluxeBugpublic2019-11-08 02:32
Reporterw4elpAssigned ToK7ZCZ 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformPCOSWin 10 64-bitOS Version
Product Version 
Target VersionFixed in Version6.7.0.244 
Summary0003539: Logbook lookup options APPLY does not work when changing lookup source
DescriptionIf lookup source is changed, then TEST is tried in Lookup options, new setting does not take effect until options window is closed and reopened. APPLY button does not put new setting into effect.
Steps To ReproduceOpen Logbook lookup options window.
Change lookup source setting to a different source (QRZ.com, hamQTH, etc).
Click the APPLY button
Go to TEST tab and do a lookup. New setting is not reflected. Old setting still shows.
Click OK button to close then restart lookup options window.
Do a test lookup - new setting shows ok.
TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Activities

K7ZCZ

2019-11-02 22:09

administrator   ~0009115

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/5257

w4elp

2019-11-03 10:16

viewer   ~0009121

Confirming this is fixed in 6.7.0.241.

WA9PIE

2019-11-04 03:37

administrator   ~0009124

Validated by reporter

Issue History

Date Modified Username Field Change
2019-11-02 07:50 w4elp New Issue
2019-11-02 22:05 K7ZCZ Summary Logbook lookup options APPLY does not work when changing lookup sorece => Logbook lookup options APPLY does not work when changing lookup source
2019-11-02 22:05 K7ZCZ Testing => Not Started
2019-11-02 22:09 K7ZCZ Assigned To => K7ZCZ
2019-11-02 22:09 K7ZCZ Status new => resolved
2019-11-02 22:09 K7ZCZ Resolution open => fixed
2019-11-02 22:09 K7ZCZ Note Added: 0009115
2019-11-03 08:16 WA9PIE Project 1 - Backlog => 3 - Current Dev List
2019-11-03 10:16 w4elp Note Added: 0009121
2019-11-03 10:42 K7ZCZ Fixed in Version => 6.7.0.241
2019-11-04 03:37 WA9PIE Status resolved => closed
2019-11-04 03:37 WA9PIE Testing Not Started => Beta Successful
2019-11-04 03:37 WA9PIE Note Added: 0009124
2019-11-08 02:08 WA9PIE Fixed in Version 6.7.0.241 => 6.7.0.244
2019-11-08 02:32 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe